curl --request POST \
--url https://api.example.com/datasets/upsert/ \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"data": "[{ \"customer_id\": 1, \"name\": \"Alice Johnson\" }, { \"customer_id\": 2, \"name\": \"Brandon Lee\" },]",
"dataset_name": "customers",
"row_unique_identifier": "customer_id"
}
'import requests
url = "https://api.example.com/datasets/upsert/"
payload = {
"data": "[{ \"customer_id\": 1, \"name\": \"Alice Johnson\" }, { \"customer_id\": 2, \"name\": \"Brandon Lee\" },]",
"dataset_name": "customers",
"row_unique_identifier": "customer_id"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
data: '[{ "customer_id": 1, "name": "Alice Johnson" }, { "customer_id": 2, "name": "Brandon Lee" },]',
dataset_name: 'customers',
row_unique_identifier: 'customer_id'
})
};
fetch('https://api.example.com/datasets/upsert/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Upsert Dataset
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Query Parameters
Body
The name of the dataset to be inserted or updated.
The column name that can uniquely identify the row in the dataset, normally an id column.
The data rows in the format of list of json object, where each json object in the list is a single row. The json objects need to have identical top level fields. The max size is 1G.
Optional. specify the schema in the 'data' field. It contains key value pairs of { column_name : column_type }. column_name is the top level field in the JSON objects, DO NOT provide the inner nested fields. Valid value for column types are: 'INTEGER', 'FLOAT', 'STRING', 'BOOLEAN': 'JSON'
Show child attributes
Show child attributes
Response
Successful Response
The response is of type Response Upsert Dataset Datasets Upsert Post · object.